import{s as er,n as tr,o as rr}from"../chunks/scheduler.0219f8bd.js";import{S as lr,i as ar,g as n,s as a,r as u,A as ir,h as s,f as r,c as i,j as o,u as p,x as m,k as d,y as nr,a as l,v as f,d as x,t as h,w as c}from"../chunks/index.f61edf3b.js";import{H as _,E as sr}from"../chunks/EditOnGithub.48fa589f.js";function dr(yt){let T,fe,ue,xe,$,he,w,ce,v,zt='<li><a href="#module_generation/streamers">generation/streamers</a><ul><li><a href="#module_generation/streamers.TextStreamer">.TextStreamer</a><ul><li><a href="#new_module_generation/streamers.TextStreamer_new"><code>new TextStreamer(tokenizer)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+put"><code>.put(value)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+end"><code>.end()</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+on_finalized_text"><code>.on_finalized_text(text, stream_end)</code></a></li></ul></li> <li><a href="#module_generation/streamers.RawTextStreamer">.RawTextStreamer</a><ul><li><a href="#new_module_generation/streamers.RawTextStreamer_new"><code>new RawTextStreamer(callback_function)</code></a></li></ul></li> <li><a href="#module_generation/streamers.WhisperTextStreamer">.WhisperTextStreamer</a><ul><li><a href="#new_module_generation/streamers.WhisperTextStreamer_new"><code>new WhisperTextStreamer(tokenizer, options)</code></a></li> <li><a href="#module_generation/streamers.WhisperTextStreamer+put"><code>.put(value)</code></a></li></ul></li></ul></li>',_e,Te,$e,S,we,g,ve,k,Pt="Simple text streamer that prints the token(s) to stdout as soon as entire words are formed.",Se,b,At='<strong>Kind</strong>: static class of <a href="#module_generation/streamers"><code>generation/streamers</code></a>',ge,H,Et='<li><a href="#module_generation/streamers.TextStreamer">.TextStreamer</a><ul><li><a href="#new_module_generation/streamers.TextStreamer_new"><code>new TextStreamer(tokenizer)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+put"><code>.put(value)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+end"><code>.end()</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+on_finalized_text"><code>.on_finalized_text(text, stream_end)</code></a></li></ul></li>',ke,be,He,L,Le,C,Ce,M,Rt="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>tokenizer</td><td><code>*</code></td></tr></tbody>",Me,ye,ze,y,Pe,z,Ae,P,Wt="Receives tokens, decodes them, and prints them to stdout as soon as they form entire words.",Ee,A,jt='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',Re,E,Bt="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>value</td><td><code>Array.&lt;Array&lt;bigint&gt;&gt;</code></td></tr></tbody>",We,je,Be,R,Ke,W,Fe,j,Kt="Flushes any remaining cache and prints a newline to stdout.",Ue,B,Ft='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',Oe,De,Ge,K,Ie,F,qe,U,Ut="Prints the new text to stdout. If the stream is ending, also prints a newline.",Je,O,Ot='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',Ne,D,Dt="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>text</td><td><code>string</code></td> </tr><tr><td>stream_end</td><td><code>boolean</code></td></tr></tbody>",Qe,Ve,Xe,G,Ye,I,Ze,q,Gt="Special text streamer to be used with the BuiltInTextGenerationPipeline.",et,J,It='<strong>Kind</strong>: static class of <a href="#module_generation/streamers"><code>generation/streamers</code></a>',tt,rt,lt,N,at,Q,it,V,qt="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>callback_function</td><td><code>function</code></td></tr></tbody>",nt,st,dt,X,mt,Y,ot,Z,Jt=`Utility class to handle streaming of tokens generated by whisper speech-to-text models.
Callback functions are invoked when each of the following events occur:`,ut,ee,Nt="<li>A new chunk starts (on_chunk_start)</li> <li>A new token is generated (callback_function)</li> <li>A chunk ends (on_chunk_end)</li> <li>The stream is finalized (on_finalize)</li>",pt,te,Qt='<strong>Kind</strong>: static class of <a href="#module_generation/streamers"><code>generation/streamers</code></a>',ft,re,Vt='<li><a href="#module_generation/streamers.WhisperTextStreamer">.WhisperTextStreamer</a><ul><li><a href="#new_module_generation/streamers.WhisperTextStreamer_new"><code>new WhisperTextStreamer(tokenizer, options)</code></a></li> <li><a href="#module_generation/streamers.WhisperTextStreamer+put"><code>.put(value)</code></a></li></ul></li>',xt,ht,ct,le,_t,ae,Tt,ie,Xt="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>tokenizer</td><td><code>*</code></td><td></td><td></td> </tr><tr><td>options</td><td><code>Object</code></td><td></td><td></td> </tr><tr><td>[options.skip_prompt]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether to skip the prompt tokens</p></td> </tr><tr><td>[options.callback_function]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a piece of text is ready to display</p></td> </tr><tr><td>[options.token_callback_function]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a new token is generated</p></td> </tr><tr><td>[options.on_chunk_start]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a new chunk starts</p></td> </tr><tr><td>[options.on_chunk_end]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a chunk ends</p></td> </tr><tr><td>[options.on_finalize]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when the stream is finalized</p></td> </tr><tr><td>[options.time_precision]</td><td><code>number</code></td><td><code>0.02</code></td><td><p>Precision of the timestamps</p></td> </tr><tr><td>[options.skip_special_tokens]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to skip special tokens when decoding</p></td> </tr><tr><td>[options.decode_kwargs]</td><td><code>Object</code></td><td><code>{}</code></td><td><p>Additional keyword arguments to pass to the tokenizer&#39;s decode method</p></td></tr></tbody>",$t,wt,vt,ne,St,se,gt,de,Yt='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.WhisperTextStreamer"><code>WhisperTextStreamer</code></a>',kt,me,Zt="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>value</td><td><code>Array.&lt;Array&lt;bigint&gt;&gt;</code></td></tr></tbody>",bt,Ht,Lt,oe,Ct,pe,Mt;return w=new _({props:{title:"generation/streamers",local:"generationstreamers",headingTag:"h1"}}),g=new _({props:{title:"generation/streamers.TextStreamer",local:"generationstreamerstextstreamer",headingTag:"h2"}}),C=new _({props:{title:"new TextStreamer(tokenizer)",local:"new-textstreamertokenizer",headingTag:"h3"}}),z=new _({props:{title:"textStreamer.put(value)",local:"textstreamerputvalue",headingTag:"h3"}}),W=new _({props:{title:"textStreamer.end()",local:"textstreamerend",headingTag:"h3"}}),F=new _({props:{title:"textStreamer.on_finalized_text(text, stream_end)",local:"textstreameronfinalizedtexttext-streamend",headingTag:"h3"}}),I=new _({props:{title:"generation/streamers.RawTextStreamer",local:"generationstreamersrawtextstreamer",headingTag:"h2"}}),Q=new _({props:{title:"new RawTextStreamer(callback_function)",local:"new-rawtextstreamercallbackfunction",headingTag:"h3"}}),Y=new _({props:{title:"generation/streamers.WhisperTextStreamer",local:"generationstreamerswhispertextstreamer",headingTag:"h2"}}),ae=new _({props:{title:"new WhisperTextStreamer(tokenizer, options)",local:"new-whispertextstreamertokenizer-options",headingTag:"h3"}}),se=new _({props:{title:"whisperTextStreamer.put(value)",local:"whispertextstreamerputvalue",headingTag:"h3"}}),oe=new sr({props:{source:"https://github.com/xenova/transformers.js/blob/main/docs/source/api/generation/streamers.md"}}),{c(){T=n("meta"),fe=a(),ue=n("p"),xe=a(),$=n("a"),he=a(),u(w.$$.fragment),ce=a(),v=n("ul"),v.innerHTML=zt,_e=a(),Te=n("hr"),$e=a(),S=n("a"),we=a(),u(g.$$.fragment),ve=a(),k=n("p"),k.textContent=Pt,Se=a(),b=n("p"),b.innerHTML=At,ge=a(),H=n("ul"),H.innerHTML=Et,ke=a(),be=n("hr"),He=a(),L=n("a"),Le=a(),u(C.$$.fragment),Ce=a(),M=n("table"),M.innerHTML=Rt,Me=a(),ye=n("hr"),ze=a(),y=n("a"),Pe=a(),u(z.$$.fragment),Ae=a(),P=n("p"),P.textContent=Wt,Ee=a(),A=n("p"),A.innerHTML=jt,Re=a(),E=n("table"),E.innerHTML=Bt,We=a(),je=n("hr"),Be=a(),R=n("a"),Ke=a(),u(W.$$.fragment),Fe=a(),j=n("p"),j.textContent=Kt,Ue=a(),B=n("p"),B.innerHTML=Ft,Oe=a(),De=n("hr"),Ge=a(),K=n("a"),Ie=a(),u(F.$$.fragment),qe=a(),U=n("p"),U.textContent=Ut,Je=a(),O=n("p"),O.innerHTML=Ot,Ne=a(),D=n("table"),D.innerHTML=Dt,Qe=a(),Ve=n("hr"),Xe=a(),G=n("a"),Ye=a(),u(I.$$.fragment),Ze=a(),q=n("p"),q.textContent=Gt,et=a(),J=n("p"),J.innerHTML=It,tt=a(),rt=n("hr"),lt=a(),N=n("a"),at=a(),u(Q.$$.fragment),it=a(),V=n("table"),V.innerHTML=qt,nt=a(),st=n("hr"),dt=a(),X=n("a"),mt=a(),u(Y.$$.fragment),ot=a(),Z=n("p"),Z.textContent=Jt,ut=a(),ee=n("ul"),ee.innerHTML=Nt,pt=a(),te=n("p"),te.innerHTML=Qt,ft=a(),re=n("ul"),re.innerHTML=Vt,xt=a(),ht=n("hr"),ct=a(),le=n("a"),_t=a(),u(ae.$$.fragment),Tt=a(),ie=n("table"),ie.innerHTML=Xt,$t=a(),wt=n("hr"),vt=a(),ne=n("a"),St=a(),u(se.$$.fragment),gt=a(),de=n("p"),de.innerHTML=Yt,kt=a(),me=n("table"),me.innerHTML=Zt,bt=a(),Ht=n("hr"),Lt=a(),u(oe.$$.fragment),Ct=a(),pe=n("p"),this.h()},l(e){const t=ir("svelte-u9bgzb",document.head);T=s(t,"META",{name:!0,content:!0}),t.forEach(r),fe=i(e),ue=s(e,"P",{}),o(ue).forEach(r),xe=i(e),$=s(e,"A",{id:!0,class:!0}),o($).forEach(r),he=i(e),p(w.$$.fragment,e),ce=i(e),v=s(e,"UL",{"data-svelte-h":!0}),m(v)!=="svelte-17k99wl"&&(v.innerHTML=zt),_e=i(e),Te=s(e,"HR",{}),$e=i(e),S=s(e,"A",{id:!0,class:!0}),o(S).forEach(r),we=i(e),p(g.$$.fragment,e),ve=i(e),k=s(e,"P",{"data-svelte-h":!0}),m(k)!=="svelte-5jvlz5"&&(k.textContent=Pt),Se=i(e),b=s(e,"P",{"data-svelte-h":!0}),m(b)!=="svelte-223dj8"&&(b.innerHTML=At),ge=i(e),H=s(e,"UL",{"data-svelte-h":!0}),m(H)!=="svelte-xhg9i2"&&(H.innerHTML=Et),ke=i(e),be=s(e,"HR",{}),He=i(e),L=s(e,"A",{id:!0,class:!0}),o(L).forEach(r),Le=i(e),p(C.$$.fragment,e),Ce=i(e),M=s(e,"TABLE",{"data-svelte-h":!0}),m(M)!=="svelte-sdpo69"&&(M.innerHTML=Rt),Me=i(e),ye=s(e,"HR",{}),ze=i(e),y=s(e,"A",{id:!0,class:!0}),o(y).forEach(r),Pe=i(e),p(z.$$.fragment,e),Ae=i(e),P=s(e,"P",{"data-svelte-h":!0}),m(P)!=="svelte-1i1356p"&&(P.textContent=Wt),Ee=i(e),A=s(e,"P",{"data-svelte-h":!0}),m(A)!=="svelte-3nhg65"&&(A.innerHTML=jt),Re=i(e),E=s(e,"TABLE",{"data-svelte-h":!0}),m(E)!=="svelte-47jvoc"&&(E.innerHTML=Bt),We=i(e),je=s(e,"HR",{}),Be=i(e),R=s(e,"A",{id:!0,class:!0}),o(R).forEach(r),Ke=i(e),p(W.$$.fragment,e),Fe=i(e),j=s(e,"P",{"data-svelte-h":!0}),m(j)!=="svelte-10d94rs"&&(j.textContent=Kt),Ue=i(e),B=s(e,"P",{"data-svelte-h":!0}),m(B)!=="svelte-3nhg65"&&(B.innerHTML=Ft),Oe=i(e),De=s(e,"HR",{}),Ge=i(e),K=s(e,"A",{id:!0,class:!0}),o(K).forEach(r),Ie=i(e),p(F.$$.fragment,e),qe=i(e),U=s(e,"P",{"data-svelte-h":!0}),m(U)!=="svelte-tm945r"&&(U.textContent=Ut),Je=i(e),O=s(e,"P",{"data-svelte-h":!0}),m(O)!=="svelte-3nhg65"&&(O.innerHTML=Ot),Ne=i(e),D=s(e,"TABLE",{"data-svelte-h":!0}),m(D)!=="svelte-npliee"&&(D.innerHTML=Dt),Qe=i(e),Ve=s(e,"HR",{}),Xe=i(e),G=s(e,"A",{id:!0,class:!0}),o(G).forEach(r),Ye=i(e),p(I.$$.fragment,e),Ze=i(e),q=s(e,"P",{"data-svelte-h":!0}),m(q)!=="svelte-45algh"&&(q.textContent=Gt),et=i(e),J=s(e,"P",{"data-svelte-h":!0}),m(J)!=="svelte-223dj8"&&(J.innerHTML=It),tt=i(e),rt=s(e,"HR",{}),lt=i(e),N=s(e,"A",{id:!0,class:!0}),o(N).forEach(r),at=i(e),p(Q.$$.fragment,e),it=i(e),V=s(e,"TABLE",{"data-svelte-h":!0}),m(V)!=="svelte-1vgobkk"&&(V.innerHTML=qt),nt=i(e),st=s(e,"HR",{}),dt=i(e),X=s(e,"A",{id:!0,class:!0}),o(X).forEach(r),mt=i(e),p(Y.$$.fragment,e),ot=i(e),Z=s(e,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-14ytj5h"&&(Z.textContent=Jt),ut=i(e),ee=s(e,"UL",{"data-svelte-h":!0}),m(ee)!=="svelte-1j45op2"&&(ee.innerHTML=Nt),pt=i(e),te=s(e,"P",{"data-svelte-h":!0}),m(te)!=="svelte-223dj8"&&(te.innerHTML=Qt),ft=i(e),re=s(e,"UL",{"data-svelte-h":!0}),m(re)!=="svelte-11gdcxx"&&(re.innerHTML=Vt),xt=i(e),ht=s(e,"HR",{}),ct=i(e),le=s(e,"A",{id:!0,class:!0}),o(le).forEach(r),_t=i(e),p(ae.$$.fragment,e),Tt=i(e),ie=s(e,"TABLE",{"data-svelte-h":!0}),m(ie)!=="svelte-1v66c2t"&&(ie.innerHTML=Xt),$t=i(e),wt=s(e,"HR",{}),vt=i(e),ne=s(e,"A",{id:!0,class:!0}),o(ne).forEach(r),St=i(e),p(se.$$.fragment,e),gt=i(e),de=s(e,"P",{"data-svelte-h":!0}),m(de)!=="svelte-yewaf3"&&(de.innerHTML=Yt),kt=i(e),me=s(e,"TABLE",{"data-svelte-h":!0}),m(me)!=="svelte-47jvoc"&&(me.innerHTML=Zt),bt=i(e),Ht=s(e,"HR",{}),Lt=i(e),p(oe.$$.fragment,e),Ct=i(e),pe=s(e,"P",{}),o(pe).forEach(r),this.h()},h(){d(T,"name","hf:doc:metadata"),d(T,"content",mr),d($,"id","module_generation/streamers"),d($,"class","group"),d(S,"id","module_generation/streamers.TextStreamer"),d(S,"class","group"),d(L,"id","new_module_generation/streamers.TextStreamer_new"),d(L,"class","group"),d(y,"id","module_generation/streamers.TextStreamer+put"),d(y,"class","group"),d(R,"id","module_generation/streamers.TextStreamer+end"),d(R,"class","group"),d(K,"id","module_generation/streamers.TextStreamer+on_finalized_text"),d(K,"class","group"),d(G,"id","module_generation/streamers.RawTextStreamer"),d(G,"class","group"),d(N,"id","new_module_generation/streamers.RawTextStreamer_new"),d(N,"class","group"),d(X,"id","module_generation/streamers.WhisperTextStreamer"),d(X,"class","group"),d(le,"id","new_module_generation/streamers.WhisperTextStreamer_new"),d(le,"class","group"),d(ne,"id","module_generation/streamers.WhisperTextStreamer+put"),d(ne,"class","group")},m(e,t){nr(document.head,T),l(e,fe,t),l(e,ue,t),l(e,xe,t),l(e,$,t),l(e,he,t),f(w,e,t),l(e,ce,t),l(e,v,t),l(e,_e,t),l(e,Te,t),l(e,$e,t),l(e,S,t),l(e,we,t),f(g,e,t),l(e,ve,t),l(e,k,t),l(e,Se,t),l(e,b,t),l(e,ge,t),l(e,H,t),l(e,ke,t),l(e,be,t),l(e,He,t),l(e,L,t),l(e,Le,t),f(C,e,t),l(e,Ce,t),l(e,M,t),l(e,Me,t),l(e,ye,t),l(e,ze,t),l(e,y,t),l(e,Pe,t),f(z,e,t),l(e,Ae,t),l(e,P,t),l(e,Ee,t),l(e,A,t),l(e,Re,t),l(e,E,t),l(e,We,t),l(e,je,t),l(e,Be,t),l(e,R,t),l(e,Ke,t),f(W,e,t),l(e,Fe,t),l(e,j,t),l(e,Ue,t),l(e,B,t),l(e,Oe,t),l(e,De,t),l(e,Ge,t),l(e,K,t),l(e,Ie,t),f(F,e,t),l(e,qe,t),l(e,U,t),l(e,Je,t),l(e,O,t),l(e,Ne,t),l(e,D,t),l(e,Qe,t),l(e,Ve,t),l(e,Xe,t),l(e,G,t),l(e,Ye,t),f(I,e,t),l(e,Ze,t),l(e,q,t),l(e,et,t),l(e,J,t),l(e,tt,t),l(e,rt,t),l(e,lt,t),l(e,N,t),l(e,at,t),f(Q,e,t),l(e,it,t),l(e,V,t),l(e,nt,t),l(e,st,t),l(e,dt,t),l(e,X,t),l(e,mt,t),f(Y,e,t),l(e,ot,t),l(e,Z,t),l(e,ut,t),l(e,ee,t),l(e,pt,t),l(e,te,t),l(e,ft,t),l(e,re,t),l(e,xt,t),l(e,ht,t),l(e,ct,t),l(e,le,t),l(e,_t,t),f(ae,e,t),l(e,Tt,t),l(e,ie,t),l(e,$t,t),l(e,wt,t),l(e,vt,t),l(e,ne,t),l(e,St,t),f(se,e,t),l(e,gt,t),l(e,de,t),l(e,kt,t),l(e,me,t),l(e,bt,t),l(e,Ht,t),l(e,Lt,t),f(oe,e,t),l(e,Ct,t),l(e,pe,t),Mt=!0},p:tr,i(e){Mt||(x(w.$$.fragment,e),x(g.$$.fragment,e),x(C.$$.fragment,e),x(z.$$.fragment,e),x(W.$$.fragment,e),x(F.$$.fragment,e),x(I.$$.fragment,e),x(Q.$$.fragment,e),x(Y.$$.fragment,e),x(ae.$$.fragment,e),x(se.$$.fragment,e),x(oe.$$.fragment,e),Mt=!0)},o(e){h(w.$$.fragment,e),h(g.$$.fragment,e),h(C.$$.fragment,e),h(z.$$.fragment,e),h(W.$$.fragment,e),h(F.$$.fragment,e),h(I.$$.fragment,e),h(Q.$$.fragment,e),h(Y.$$.fragment,e),h(ae.$$.fragment,e),h(se.$$.fragment,e),h(oe.$$.fragment,e),Mt=!1},d(e){e&&(r(fe),r(ue),r(xe),r($),r(he),r(ce),r(v),r(_e),r(Te),r($e),r(S),r(we),r(ve),r(k),r(Se),r(b),r(ge),r(H),r(ke),r(be),r(He),r(L),r(Le),r(Ce),r(M),r(Me),r(ye),r(ze),r(y),r(Pe),r(Ae),r(P),r(Ee),r(A),r(Re),r(E),r(We),r(je),r(Be),r(R),r(Ke),r(Fe),r(j),r(Ue),r(B),r(Oe),r(De),r(Ge),r(K),r(Ie),r(qe),r(U),r(Je),r(O),r(Ne),r(D),r(Qe),r(Ve),r(Xe),r(G),r(Ye),r(Ze),r(q),r(et),r(J),r(tt),r(rt),r(lt),r(N),r(at),r(it),r(V),r(nt),r(st),r(dt),r(X),r(mt),r(ot),r(Z),r(ut),r(ee),r(pt),r(te),r(ft),r(re),r(xt),r(ht),r(ct),r(le),r(_t),r(Tt),r(ie),r($t),r(wt),r(vt),r(ne),r(St),r(gt),r(de),r(kt),r(me),r(bt),r(Ht),r(Lt),r(Ct),r(pe)),r(T),c(w,e),c(g,e),c(C,e),c(z,e),c(W,e),c(F,e),c(I,e),c(Q,e),c(Y,e),c(ae,e),c(se,e),c(oe,e)}}}const mr='{"title":"generation/streamers","local":"generationstreamers","sections":[{"title":"generation/streamers.TextStreamer","local":"generationstreamerstextstreamer","sections":[{"title":"new TextStreamer(tokenizer)","local":"new-textstreamertokenizer","sections":[],"depth":3},{"title":"textStreamer.put(value)","local":"textstreamerputvalue","sections":[],"depth":3},{"title":"textStreamer.end()","local":"textstreamerend","sections":[],"depth":3},{"title":"textStreamer.on_finalized_text(text, stream_end)","local":"textstreameronfinalizedtexttext-streamend","sections":[],"depth":3}],"depth":2},{"title":"generation/streamers.RawTextStreamer","local":"generationstreamersrawtextstreamer","sections":[{"title":"new RawTextStreamer(callback_function)","local":"new-rawtextstreamercallbackfunction","sections":[],"depth":3}],"depth":2},{"title":"generation/streamers.WhisperTextStreamer","local":"generationstreamerswhispertextstreamer","sections":[{"title":"new WhisperTextStreamer(tokenizer, options)","local":"new-whispertextstreamertokenizer-options","sections":[],"depth":3},{"title":"whisperTextStreamer.put(value)","local":"whispertextstreamerputvalue","sections":[],"depth":3}],"depth":2}],"depth":1}';function or(yt){return rr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xr extends lr{constructor(T){super(),ar(this,T,or,dr,er,{})}}export{xr as component};
